package com.chenyang.nse.bussiness.entity.orm.table.core.api;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "api_info"
)
public class ApiInfo extends TBaseEntity {
   private String url;
   private String requestWay;
   private String state;
   private String headerParameterId;
   private String sysParameterId;
   private String taskId;
   private String projectId;
   private String apiType;

   public String getUrl() {
      return this.url;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public String getRequestWay() {
      return this.requestWay;
   }

   public void setRequestWay(String requestWay) {
      this.requestWay = requestWay;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getHeaderParameterId() {
      return this.headerParameterId;
   }

   public void setHeaderParameterId(String headerParameterId) {
      this.headerParameterId = headerParameterId;
   }

   public String getSysParameterId() {
      return this.sysParameterId;
   }

   public void setSysParameterId(String sysParameterId) {
      this.sysParameterId = sysParameterId;
   }

   public String getTaskId() {
      return this.taskId;
   }

   public void setTaskId(String taskId) {
      this.taskId = taskId;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getApiType() {
      return this.apiType;
   }

   public void setApiType(String apiType) {
      this.apiType = apiType;
   }
}
